export declare type StudyOptions = VideoOptions & {
    /**
     * 设置观看总时长(分钟)
     *
     * 如果设置为0，将一直观看，不暂停
     *
     * @default 30
     */
    watchTime?: number;
    /**
     * 复习模式：重复观看每个视频
     *
     * @default false
     */
    restudy: boolean;
};
export interface VideoOptions {
    /**
     * 是否禁音
     *
     * @default true
     */
    mute?: boolean;
    /**
     * 视频速度
     *
     * @default 1
     */
    playbackRate?: number;
}
/**
 * zhs 视频学习
 * @param options {@link StudyOptions}
 * @returns
 */
export declare function study(options?: StudyOptions): Promise<void>;
/**
 * 观看视频
 * @param options {@link VideoOptions}
 * @returns
 */
export declare function watch(options?: VideoOptions): Promise<void>;
/**
 * 关闭zhs测验弹窗
 */
export declare function closeTestDialog(): Promise<void>;
