/// <reference types="node" />
export interface OCROptions {
    username: string;
    password: string;
    typeid?: string;
}
/**
 * ocr 文字识别
 * - `buffer` 流数据
 * - `account` 账号
 * - `password` 密码
 * - `typeid` 类型
 * ```
 * 1 : 纯数字
 * 1001：纯数字2
 * 2 : 纯英文
 * 1002：纯英文2
 * 3 : 数英混合
 * ```
 * @see https://ttshitu.com/
 */
export declare function ocr(buffer: string | Buffer, { username, password, typeid }: OCROptions): Promise<string | undefined>;
