"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.schoolLogin = void 0;
const __1 = require("../");
const break_code_1 = require("../../common/break.code");
const ocr_1 = require("../../common/ocr");
function schoolLogin(page, opts) {
    return __awaiter(this, void 0, void 0, function* () {
        const { unitname, uname, password, verify } = opts;
        ocr_1.ocr;
        yield page.goto("https://passport2.chaoxing.com/login?loginType=3&newversion=true");
        yield page.fill("#inputunitname", unitname);
        yield page.fill("#uname", uname);
        yield page.fill("#password", password);
        const code = yield (0, break_code_1.breakCode)(page, "#codeImg", verify);
        if (code) {
            yield page.fill("#vercode", code);
        }
        yield Promise.all([page.waitForNavigation({ timeout: __1.setting.login.timeout }), page.click("#loginBtn")]);
        return page;
    });
}
exports.schoolLogin = schoolLogin;
