"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.script = exports.launchScripts = void 0;
const playwright_1 = require("playwright");
const _1 = require(".");
const scripts = {
    "cx-login-other": _1.CX.otherLogin,
    "cx-login-phone": _1.CX.phoneLogin,
    "cx-login-phone-code": _1.CX.phoneCodeLogin,
    "cx-login-school": _1.CX.schoolLogin,
    "zhs-login-other": _1.ZHS.otherLogin,
    "zhs-login-phone": _1.ZHS.phoneLogin,
    "zhs-login-school": _1.ZHS.schoolLogin,
};
function launchScripts(launchOptions, ...scripts) {
    return __awaiter(this, void 0, void 0, function* () {
        const browser = yield playwright_1.chromium.launch(launchOptions);
        let page = yield browser.newPage();
        for (const func of scripts) {
            page = yield func(page);
        }
        return {
            browser,
            page,
        };
    });
}
exports.launchScripts = launchScripts;
function script(name, opts) {
    return function (page) {
        return scripts[name](page, opts);
    };
}
exports.script = script;
