"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.schoolLogin = void 0;
const __1 = require("../");
function schoolLogin(page, opts) {
    return __awaiter(this, void 0, void 0, function* () {
        const { schoolname, password, code } = opts;
        yield page.goto("https://passport.zhihuishu.com/login?service=https://onlineservice.zhihuishu.com/login/gologin#studentID");
        yield page.fill("#quickSearch", schoolname);
        // 显示学校列表
        yield Promise.all([
            /** 为防止页面未加载学校数据，所以这里即可能为远程加载或者缓存读取学校记录 */
            Promise.race([
                /** 等待请求完成 */
                page.waitForResponse(/getAllSchool/),
                /** 等待元素出现 */
                page.waitForSelector("#schoolListCode li"),
            ]),
            page.evaluate("userindex.selectSchoolByName();"),
        ]);
        // 单击第一个匹配的学校
        yield page.click("#schoolListCode li");
        yield page.fill("#clCode", code);
        yield page.fill("#clPassword", password);
        yield Promise.all([page.waitForNavigation({ timeout: __1.setting.login.timeout }), page.click(".wall-sub-btn")]);
        return page;
    });
}
exports.schoolLogin = schoolLogin;
