"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.gotoExamPage = exports.gotoHomeworkPage = exports.gotoStudyPage = void 0;
/**
 * 进入学习页面
 * @param page
 * @param url 课程首页
 */
function gotoStudyPage(page, url) {
    return __awaiter(this, void 0, void 0, function* () {
        yield page.goto(url);
        return page;
    });
}
exports.gotoStudyPage = gotoStudyPage;
/**
 * 进入作业页面
 * @param page
 * @param url 课程首页
 */
function gotoHomeworkPage(page, url) {
    return __awaiter(this, void 0, void 0, function* () {
        page = yield gotoStudyPage(page, url);
        yield page.click(".box-right > ul > li:nth-child(2)");
        return page;
    });
}
exports.gotoHomeworkPage = gotoHomeworkPage;
/**
 * 进入考试页面
 * @param page
 * @param url 课程首页
 */
function gotoExamPage(page, url) {
    return __awaiter(this, void 0, void 0, function* () {
        page = yield gotoStudyPage(page, url);
        yield page.click(".box-right > ul > li:nth-child(2)");
        return page;
    });
}
exports.gotoExamPage = gotoExamPage;
